export const tableOption = {
  border: true,
  selection: true,
  index: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  menuWidth: 350,
  align: 'center',
  refreshBtn: true,
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  column: [
    {
      label: '店铺名字',
      prop: 'shopName',
      search: true
    },
    {
      label: '店铺logo',
      prop: 'shopLogo',
      type: 'upload',
      width: 150,
      listType: 'picture-img'
    },
    {
      label: '店铺简介',
      prop: 'intro',
      search: true
    },
    {
      width: 150,
      label: '店铺状态',
      prop: 'shopStatus',
      slot: true,
      search: true,
      type: 'select',
      dicData: [
        {
          value: 0,
          label: '停业中'
        }, {
          value: 1,
          label: '营业中'
        }, {
          value: 2,
          label: '违规下线'
        }, {
          value: 3,
          label: '待审核'
        }, {
          value: -1,
          label: '未开通'
        }
      ]
    },
    {
      width: 150,
      label: '审核状态',
      prop: 'status',
      slot: true,
      search: true,
      type: 'select',
      dicData: [
        {
          value: 0,
          label: '未审核'
        }, {
          value: 1,
          label: '已通过'
        }, {
          value: -1,
          label: '未通过'
        }
      ]
    },
    {
      label: '申请时间',
      width: 160,
      prop: 'createTime'
    }
  ]
}
